Bug 42223 - rpmdb/makefile.am assumes sh is bash rpm-4.0.3-0.26
Summary: rpmdb/makefile.am assumes sh is bash rpm-4.0.3-0.26
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: rpm   
(Show other bugs)
Version: 1.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-05-24 23:31 UTC by Nathan Owen
Modified: 2007-04-18 16:33 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-24 23:31:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nathan Owen 2001-05-24 23:31:09 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.6 [en] (X11; U; SunOS 5.6 sun4u)

Description of problem:
Running make halts while building rpmdb. The test command in the bourne
shell does not like the bash argument "-e" on line 47 of rpmdb/Makefile.am.
Replace with "-f"?

How reproducible:
Always

Steps to Reproduce:
1.make
2.
3.
	

Additional info:

This is on solaris, so /bin/sh is not a link to bash but a separate binary
that is not forgiving to bash-only syntax.

Comment 1 Jeff Johnson 2001-05-25 12:16:46 UTC
Fixed in next CVS checkin, will be in rpm-4.0.3-0.27.


Note You need to log in before you can comment on or make changes to this bug.